%define upstream_name    Devel-Cover
%define upstream_version 1.23

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Code coverage metrics for Perl
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Devel/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Digest::MD5)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(HTML::Entities) >= 3.690.0
BuildRequires: perl(Storable)
BuildRequires: perl(Test::More)
BuildRequires: perl-devel
# private module:
%global __provides_exclude %{?__provides_exclude:%__provides_exclude|}^perl\\(Devel::Cover::Dumper\\)$
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(Devel::Cover::Dumper\\)$

%description
This module provides code coverage metrics for Perl. Code coverage metrics
describe how thoroughly tests exercise code. By using Devel::Cover you can find
areas of code not exercised by your tests and find out which tests to create to
increase coverage. Code coverage can be considered as an indirect measure of
quality.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test || :

%install
%make_install

%files
%doc Changes LICENCE META.json META.yml MYMETA.yml README
%{perl_vendorarch}/Devel
%{perl_vendorarch}/auto/Devel
%{_bindir}/*
%{_mandir}/*/*


%changelog
* Mon Jun 06 2016 shlomif <shlomif> 1.230.0-2.mga6
+ Revision: 1020317
- Rebuild to avoid warning due to perl upgrade

* Thu Apr 28 2016 shlomif <shlomif> 1.230.0-1.mga6
+ Revision: 1007488
- update to 1.23

* Fri Apr 15 2016 shlomif <shlomif> 1.220.0-1.mga6
+ Revision: 1001832
- update to 1.22

* Fri Feb 12 2016 umeabot <umeabot> 1.210.0-2.mga6
+ Revision: 957143
- Mageia 6 Mass Rebuild

* Mon Sep 28 2015 sander85 <sander85> 1.210.0-1.mga6
+ Revision: 884514
- update to 1.21

* Mon Jul 06 2015 sander85 <sander85> 1.200.0-1.mga6
+ Revision: 852081
- update to 1.20

* Fri Jun 26 2015 tv <tv> 1.180.0-2.mga6
+ Revision: 844850
- rebuild for soname-ifed perl

* Tue Jun 23 2015 tv <tv> 1.180.0-1.mga6
+ Revision: 841281
- ignore testsuite faillure
- new release
- rebuild for perl-5.22

* Sun Oct 19 2014 umeabot <umeabot> 1.160.0-6.mga5
+ Revision: 789258
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.160.0-5.mga5
+ Revision: 745989
- Second Mageia 5 Mass Rebuild

* Wed Oct 01 2014 tv <tv> 1.160.0-4.mga5
+ Revision: 733789
- fix excludes

* Wed Oct 01 2014 tv <tv> 1.160.0-3.mga5
+ Revision: 733765
- fix requires on private module

* Tue Sep 16 2014 umeabot <umeabot> 1.160.0-2.mga5
+ Revision: 684311
- Mageia 5 Mass Rebuild

* Sun Aug 17 2014 sander85 <sander85> 1.160.0-1.mga5
+ Revision: 664778
- update to 1.16

* Wed Jun 04 2014 sander85 <sander85> 1.150.0-1.mga5
+ Revision: 632912
- update to 1.15

* Tue Jun 03 2014 pterjan <pterjan> 1.140.0-2.mga5
+ Revision: 631056
- Rebuild for perl 5.20

* Tue May 06 2014 jquelin <jquelin> 1.140.0-1.mga5
+ Revision: 620588
- update to 1.14

* Tue Apr 15 2014 jquelin <jquelin> 1.110.0-1.mga5
+ Revision: 614727
- update to 1.11

* Mon Mar 17 2014 jquelin <jquelin> 1.90.0-1.mga5
+ Revision: 604347
- update to 1.09

* Sat Oct 19 2013 umeabot <umeabot> 1.80.0-2.mga4
+ Revision: 533093
- Mageia 4 Mass Rebuild

* Sun Aug 25 2013 sander85 <sander85> 1.80.0-1.mga4
+ Revision: 471586
- update to 1.08

* Thu Aug 22 2013 sander85 <sander85> 1.70.0-1.mga4
+ Revision: 469503
- update to 1.07

* Sun Jul 21 2013 sander85 <sander85> 1.60.0-1.mga4
+ Revision: 456909
- update to 1.06

* Fri Jun 07 2013 jquelin <jquelin> 1.40.0-1.mga4
+ Revision: 439062
- update to 1.04

* Thu May 30 2013 jquelin <jquelin> 1.30.0-1.mga4
+ Revision: 433075
- update to 1.03

* Sun Jan 13 2013 umeabot <umeabot> 0.990.0-2.mga3
+ Revision: 365713
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 0.990.0-1.mga3
+ Revision: 342074
- update to 0.99

* Wed Nov 14 2012 jquelin <jquelin> 0.970.0-1.mga3
+ Revision: 317658
- update to 0.97

* Wed Sep 26 2012 jquelin <jquelin> 0.960.0-1.mga3
+ Revision: 298002
- update to 0.96

* Fri Aug 31 2012 kharec <kharec> 0.930.0-1.mga3
+ Revision: 286063
- update to 0.93

* Mon Jun 18 2012 kharec <kharec> 0.890.0-1.mga3
+ Revision: 261565
- update to 0.89

* Sat Jun 09 2012 jquelin <jquelin> 0.880.0-1.mga3
+ Revision: 258862
- update to 0.88

* Wed May 30 2012 jquelin <jquelin> 0.870.0-1.mga3
+ Revision: 251664
- update to 0.87
- rebuild for perl 5.16

* Fri Jan 06 2012 guillomovitch <guillomovitch> 0.790.0-2.mga2
+ Revision: 192623
- rebuild for latest perl

  + jquelin <jquelin>
    - update to 0.79

* Tue Jun 21 2011 jquelin <jquelin> 0.780.0-1.mga2
+ Revision: 111381
- update to 0.78

* Sat Jun 11 2011 sander85 <sander85> 0.760.0-2.mga2
+ Revision: 104190
- perl 5.14

* Tue Apr 19 2011 jquelin <jquelin> 0.760.0-1.mga1
+ Revision: 88513
- update to 0.76

* Mon Jan 24 2011 jquelin <jquelin> 0.730.0-1.mga1
+ Revision: 36225
- mageia rebuild
- cleaning spec file
- imported package perl-Devel-Cover

